classification
Title: Fix parsing of package_data
Type: behavior Stage: resolved
Components: Distutils2 Versions: Python 3.4, 3rd party
process
Status: closed Resolution: wont fix
Dependencies: 5302 11805 Superseder:
Assigned To: eric.araujo Nosy List: alexis, eric.araujo, georg.brandl, larry, nick.wilson
Priority: release blocker Keywords:

Created on 2011-11-23 17:13 by eric.araujo, last changed 2013-08-01 08:23 by larry. This issue is now closed.

Messages (6)
msg148194 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2011-11-23 17:13
In 288640098ea8, Jeremy fixed a bug in distutils2.config that prevented d2’s own setup.py script from working.  I had to revert that change because it caused tests to fail.  The bug needs to be identified exactly, then a test for it is needed, and finally an sdist should be created to check that all files are included.

As I want to release 1.0a4 very soon, I’ll work on this today or tomorrow.
msg163205 - (view) Author: Georg Brandl (georg.brandl) * (Python committer) Date: 2012-06-19 20:09
This has "Python 3.3" set as Version.  Does it really block the 3.3 release?
msg163229 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2012-06-19 22:32
I’ve been using the release blocker priority to mark things that need to be solved for the next d2 alpha release, and by extension before the 3.3 release as the plan was to have d2 in 3.3 (see my recent python-dev email about that).  If that interferes with CPython release management feel free to demote them to “high” or tell me if you’d like me to do it.
msg193984 - (view) Author: Larry Hastings (larry) * (Python committer) Date: 2013-07-31 07:16
What's the status of this?  I want to release Python 3.4a1 in two days, and this issue is still marked as a "release blocker".

Given the age of this issue I doubt anything is going to happen in the next two days.  Unless I hear a great wailing and gnashing of teeth I'm going to downgrade this to "high" as Eric suggests.
msg194000 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2013-07-31 14:32
packaging is not in the stdlib anymore, and the successors to distutils2 may or may not use package_data in setup.cfg.  This is obsolete.
msg194036 - (view) Author: Larry Hastings (larry) * (Python committer) Date: 2013-08-01 08:23
This was held up by #5302, so I just closed that one too as the same rule applies.
History
Date User Action Args
2013-08-01 08:23:59larrysetstatus: open -> closed

messages: + msg194036
2013-07-31 14:32:08eric.araujosetresolution: wont fix
messages: + msg194000
stage: test needed -> resolved
2013-07-31 07:16:54larrysetnosy: + larry
messages: + msg193984
2012-06-21 03:09:06eric.araujosetversions: + Python 3.4, - Python 3.3
2012-06-19 22:32:25eric.araujosetmessages: + msg163229
2012-06-19 20:09:22georg.brandlsetnosy: + georg.brandl
messages: + msg163205
2012-02-03 17:15:47nick.wilsonsetnosy: + nick.wilson
2011-11-24 16:34:14eric.araujosetdependencies: + Allow package_data specs/globs to match directories, package_data only allows one glob per-package
2011-11-23 17:13:52eric.araujocreate